<template>
  <div class="grey darken-1 empty-layout">
    <router-view />
  </div>

</template>

<script>
  import messages from "@/utils/messages";

  export default {
    name: "AuthLayout",
    computed: {
      errorMessage() {
        return this.$store.getters.getErrorMessage;
      }
    },
    watch: {
      errorMessage(firebaseError) {
        this.$message(messages[firebaseError.code] || messages['something_went_wrong']);
      }
    }
  }
</script>

<style scoped>

</style>